Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04845 Sound Minor Always May 18, 2012, 21:40 23 days ago
Tester haynor666 View Status Public Platform MAME (Self-compiled)
Assigned To Resolution No change required OS
Status [?] Closed Driver lsasquad.cpp
Version 0.145u8 Fixed in Version Build 64-bit
Summary 04845: lsasquad, storming: samples are repeating all the time, sound clipping?
Description Samples are played bad, some are might be clipped.
Steps To Reproduce
Additional Information Probably related to issue 01019
Flags
Regression Version
Affected Sets / Systems lsasquad, storming
Attached Files
wma file icon Bez_nazwy.wma (274,373 bytes) May 19, 2012, 12:09 Uploaded by haynor
Relationships
There are no relationship linked to this issue.
Notes
6
User avatar
No.08612
Tafoid
Administrator
May 18, 2012, 22:07
This game no longer clips and the game sounds as it does when it appeared in MAME.
E:\DesktopF\MAME>mamesymbols145u8 storming -str 20
Average speed: 100.00% (19 seconds)
Speaker ":mono" - max = 17846 (gain *= 1.836098) - 0% samples clipped

Short of sourcing some actual PCB recordings or videos of it running from PCB, "Samples are played bad" isn't a valid observation of regression.. I also hear no repeating sounds on 32-bit. What is your emulation speed? Are you sure it's over 100%?
User avatar
No.08613
haynor666
Tester
May 19, 2012, 12:10
edited on: May 19, 2012, 13:25
Sound clipping is bad description. I've attached audio files. It sure sounds strange.

This mess in audio came from YM2203 # 0 FM (tested in MAME 0.71)
or Speaker mono YM2203 ymsnd Ch.3 (tested in MAME 145u8)

This set was present in Taito Memories II Gekan. I'll try to get this compilation and compare audio.

EDIT. In this compilation sound is exactly the same. So either emulation in this compilation is bad or just has should sound.
User avatar
No.08616
Fujix
Administrator
May 20, 2012, 03:46
I think the main music is originally like this..
User avatar
No.08617
NekoEd
Senior Tester
May 20, 2012, 14:56
We practically never put any value into comparisons against other emulators/emulation; the only valid sources for side-by-side comparisons are the original arcade hardware for the game(s)/set(s) in question.
User avatar
No.08622
Tafoid
Administrator
May 20, 2012, 17:48
I'll acknowledge this for a few days to give OP a chance to find some source material to support breakage or errors in sound emulation. If nothing is forthcoming, it will be closed. It's not a pretty sounding game, but indications are that this is it.
User avatar
No.16171
MetalGod
Senior Tester
23 days ago
should it be closed then?